connectivity-api: connectivityqt::VpnConnectionsListModel Class Reference

connectivity-api

Classes | Public Types | Public Slots | Signals | Public Member Functions | Protected Attributes | List of all members
connectivityqt::VpnConnectionsListModel Class Reference

`#include <connectivityqt/vpn-connections-list-model.h>`

Inheritance diagram for connectivityqt::VpnConnectionsListModel:
[legend]
Collaboration diagram for connectivityqt::VpnConnectionsListModel:
[legend]

## Classes
class | Priv

## Public Types
enum | Roles { RoleId, RoleActive, RoleActivatable, RoleType, RoleConnection }

## Public Slots
void | add (VpnConnection::Type type)
void | remove (VpnConnection *connection)

## Signals
void | addFinished (VpnConnection *connection)

## Public Member Functions
| UNITY_DEFINES_PTRS (VpnConnectionsListModel)
| VpnConnectionsListModel (const internal::VpnConnectionsListModelParameters &parameters)
| ~VpnConnectionsListModel ()
int | columnCount (const QModelIndex &parent) const override
int | rowCount (const QModelIndex &parent) const override
QVariant | data (const QModelIndex &index, int role) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
Qt::ItemFlags | flags (const QModelIndex &index) const override
QHash< int, QByteArray > | roleNames () const override

## Protected Attributes
std::shared_ptr< Priv > | d

## Member Enumeration Documentation

## ◆ Roles

enum connectivityqt::VpnConnectionsListModel::Roles

Enumerator
RoleId |
RoleActive |
RoleActivatable |
RoleType |
RoleConnection |

## Constructor & Destructor Documentation

## ◆ VpnConnectionsListModel()

connectivityqt::VpnConnectionsListModel::VpnConnectionsListModel | ( | const internal::VpnConnectionsListModelParameters & | parameters | ) |

## ◆ ~VpnConnectionsListModel()

connectivityqt::VpnConnectionsListModel::~VpnConnectionsListModel | ( |  | ) |

## Member Function Documentation

## ◆ add

void connectivityqt::VpnConnectionsListModel::add | ( | VpnConnection::Type | type | ) |
| slot

## ◆ addFinished

void connectivityqt::VpnConnectionsListModel::addFinished | ( | VpnConnection * | connection | ) |
| signal

## ◆ columnCount()

int connectivityqt::VpnConnectionsListModel::columnCount | ( | const QModelIndex & | parent | ) | const
| override

## ◆ data()

QVariant connectivityqt::VpnConnectionsListModel::data | ( | const QModelIndex & | index,
|  | int | role
| ) |  | const
| override

## ◆ flags()

Qt::ItemFlags connectivityqt::VpnConnectionsListModel::flags | ( | const QModelIndex & | index | ) | const
| override

## ◆ remove

void connectivityqt::VpnConnectionsListModel::remove | ( | VpnConnection * | connection | ) |
| slot

## ◆ roleNames()

QHash<int, QByteArray> connectivityqt::VpnConnectionsListModel::roleNames | ( |  | ) | const
| inlineoverride

## ◆ rowCount()

int connectivityqt::VpnConnectionsListModel::rowCount | ( | const QModelIndex & | parent | ) | const
| override

## ◆ setData()

bool connectivityqt::VpnConnectionsListModel::setData | ( | const QModelIndex & | index,
|  | const QVariant & | value,
|  | int | role
| ) |  |
| override

## ◆ UNITY_DEFINES_PTRS()

connectivityqt::VpnConnectionsListModel::UNITY_DEFINES_PTRS | ( | VpnConnectionsListModel |  | ) |

## Member Data Documentation

## ◆ d

std::shared_ptr<Priv> connectivityqt::VpnConnectionsListModel::d
| protected

The documentation for this class was generated from the following files:

- connectivityqt/vpn-connections-list-model.h
- connectivityqt/vpn-connections-list-model.cpp